Bug 20362 - Direct link to authority records missing in staff detail view (1xx, 7xx)
Summary: Direct link to authority records missing in staff detail view (1xx, 7xx)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: George Veranis
QA Contact: Testopia
URL:
Keywords:
Depends on: 28993
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-09 07:14 UTC by Katrin Fischer
Modified: 2022-03-25 12:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug20362: Direct link to authority records missing in staff detail view (1xx , 7xx) (3.50 KB, patch)
2022-01-11 09:01 UTC, George Veranis
Details | Diff | Splinter Review
Bug20362: Direct link to authority records missing in staff detail view (1xx , 7xx) (4.49 KB, patch)
2022-01-12 14:42 UTC, George Veranis
Details | Diff | Splinter Review
Bug 20362: Direct link to authority records missing in staff detail view (1xx , 7xx) (3.12 KB, patch)
2022-01-12 15:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20362: (Follow-up) Direct link to authority records missing in staff detail view (1xx , 7xx) (4.53 KB, patch)
2022-02-24 14:38 UTC, George Veranis
Details | Diff | Splinter Review
Bug 20362: Direct link to authority records missing in staff detail view (1xx , 7xx) (3.12 KB, patch)
2022-03-03 18:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20362: (follow-up) Direct link to authority records missing in staff detail view (1xx , 7xx) (3.77 KB, patch)
2022-03-03 18:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20362: Direct link to authority records missing in staff detail view (1xx , 7xx) (3.18 KB, patch)
2022-03-06 14:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20362: (follow-up) Direct link to authority records missing in staff detail view (1xx , 7xx) (3.83 KB, patch)
2022-03-06 14:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-03-09 07:14:27 UTC
Add a link to the authority record from the detail patch for authors and contributors (1xx, 7xx) like they exist in the staff page and like it's implemented for subjects on bug 16427.
Comment 1 George Veranis 2022-01-11 09:01:44 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2022-01-11 18:04:54 UTC
Can you please remove the comment, "<!-- #20362..." We don't need to document changes in the code because git keeps the history for us.
Comment 3 George Veranis 2022-01-12 14:42:17 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2022-01-12 15:34:10 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2022-02-18 11:01:26 UTC
Hum koha-tmpl/intranet-tmpl/prog/img/filefind.png has been removed by bug 28993.
Comment 6 Jonathan Druart 2022-02-18 11:02:26 UTC
Please also fix the indentation.
Comment 7 George Veranis 2022-02-24 14:38:27 UTC
Created attachment 131063 [details] [review]
Bug 20362: (Follow-up) Direct link to authority records missing in staff  detail view (1xx , 7xx)

I change the magnigying glass icon to FA icon in the staff detail view for 1xx and 7xx
of the record that links to the authority records.

The following test plan is for 100 tag only but the patch can be apply
for all 1xx and 7xx tags that can be connect with an authority record.

Test Plan:
1) On the Koha staff page, create a new authority. The type of authority
   will be: e.g Personal Name
2) When creating authority, in tab 1 under -HEADING--PERSONAL NAME enter
   the personal name term entry element and then save the
   new authority e.g. Twain, Mark.
3) In circulation, search the catalog for a random book. Click the title
   of the book and you will be taken to the book details.
4) Edit the record and in tab 1 , scroll down the - MAIN ENTRY--
   PERSONAL NAME and repeat this tag (the icon next to the title).
5) Edit the Personal name term entry element by clicking
   the button on the right of the bar.
6) In the Search main heading ($a only) enter your personal name term
   e.g. Twain, Mark.
7) Press search, and then in the table that pops up, click 'choose'.
8) Save your edits and the new personal name term will be in the 'By:'
   of the book details.
9) Notice that there is no magnifying glass icon.
10) Apply this patch
11) Notice that there is now a magnifying glass icon next to the
    personal name term.
12) Click on the magnifying glass and it will take you directly to the
    authorities records
Comment 8 Owen Leonard 2022-03-03 18:03:48 UTC
Created attachment 131344 [details] [review]
Bug 20362: Direct link to authority records missing in staff detail view (1xx , 7xx)

I added a magnigying glass icon in the staff detail view for 1xx and 7xx
of the record that links to the authority records.

The following test plan is for 100 tag only but the patch can be apply
for all 1xx and 7xx tags that can be connect with an authority record.

Test Plan:
1) On the Koha staff page, create a new authority. The type of authority
   will be: e.g Personal Name
2) When creating authority, in tab 1 under -HEADING--PERSONAL NAME enter
   the personal name term entry element and then save the
   new authority e.g. Twain, Mark.
3) In circulation, search the catalog for a random book. Click the title
   of the book and you will be taken to the book details.
4) Edit the record and in tab 1 , scroll down the - MAIN ENTRY--
   PERSONAL NAME and repeat this tag (the icon next to the title).
5) Edit the Personal name term entry element by clicking
   the button on the right of the bar.
6) In the Search main heading ($a only) enter your personal name term
   e.g. Twain, Mark.
7) Press search, and then in the table that pops up, click 'choose'.
8) Save your edits and the new personal name term will be in the 'By:'
   of the book details.
9) Notice that there is no magnifying glass icon.
10) Apply this patch
11) Notice that there is now a magnifying glass icon next to the
    personal name term.
12) Click on the magnifying glass and it will take you directly to the
    authorities records

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 9 Owen Leonard 2022-03-03 18:03:52 UTC
Created attachment 131345 [details] [review]
Bug 20362: (follow-up) Direct link to authority records missing in staff detail view (1xx , 7xx)

I change the magnigying glass icon to FA icon in the staff detail view
for 1xx and 7xx of the record that links to the authority records.

The following test plan is for 100 tag only but the patch can be apply
for all 1xx and 7xx tags that can be connect with an authority record.

Test Plan:
1) On the Koha staff page, create a new authority. The type of authority
   will be: e.g Personal Name
2) When creating authority, in tab 1 under -HEADING--PERSONAL NAME enter
   the personal name term entry element and then save the
   new authority e.g. Twain, Mark.
3) In circulation, search the catalog for a random book. Click the title
   of the book and you will be taken to the book details.
4) Edit the record and in tab 1 , scroll down the - MAIN ENTRY--
   PERSONAL NAME and repeat this tag (the icon next to the title).
5) Edit the Personal name term entry element by clicking
   the button on the right of the bar.
6) In the Search main heading ($a only) enter your personal name term
   e.g. Twain, Mark.
7) Press search, and then in the table that pops up, click 'choose'.
8) Save your edits and the new personal name term will be in the 'By:'
   of the book details.
9) Notice that there is no magnifying glass icon.
10) Apply this patch
11) Notice that there is now a magnifying glass icon next to the
    personal name term.
12) Click on the magnifying glass and it will take you directly to the
    authorities records

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 10 Katrin Fischer 2022-03-06 14:12:19 UTC
This looks great, thank you!
Comment 11 Katrin Fischer 2022-03-06 14:13:18 UTC
Created attachment 131415 [details] [review]
Bug 20362: Direct link to authority records missing in staff detail view (1xx , 7xx)

I added a magnigying glass icon in the staff detail view for 1xx and 7xx
of the record that links to the authority records.

The following test plan is for 100 tag only but the patch can be apply
for all 1xx and 7xx tags that can be connect with an authority record.

Test Plan:
1) On the Koha staff page, create a new authority. The type of authority
   will be: e.g Personal Name
2) When creating authority, in tab 1 under -HEADING--PERSONAL NAME enter
   the personal name term entry element and then save the
   new authority e.g. Twain, Mark.
3) In circulation, search the catalog for a random book. Click the title
   of the book and you will be taken to the book details.
4) Edit the record and in tab 1 , scroll down the - MAIN ENTRY--
   PERSONAL NAME and repeat this tag (the icon next to the title).
5) Edit the Personal name term entry element by clicking
   the button on the right of the bar.
6) In the Search main heading ($a only) enter your personal name term
   e.g. Twain, Mark.
7) Press search, and then in the table that pops up, click 'choose'.
8) Save your edits and the new personal name term will be in the 'By:'
   of the book details.
9) Notice that there is no magnifying glass icon.
10) Apply this patch
11) Notice that there is now a magnifying glass icon next to the
    personal name term.
12) Click on the magnifying glass and it will take you directly to the
    authorities records

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2022-03-06 14:13:23 UTC
Created attachment 131416 [details] [review]
Bug 20362: (follow-up) Direct link to authority records missing in staff detail view (1xx , 7xx)

I change the magnigying glass icon to FA icon in the staff detail view
for 1xx and 7xx of the record that links to the authority records.

The following test plan is for 100 tag only but the patch can be apply
for all 1xx and 7xx tags that can be connect with an authority record.

Test Plan:
1) On the Koha staff page, create a new authority. The type of authority
   will be: e.g Personal Name
2) When creating authority, in tab 1 under -HEADING--PERSONAL NAME enter
   the personal name term entry element and then save the
   new authority e.g. Twain, Mark.
3) In circulation, search the catalog for a random book. Click the title
   of the book and you will be taken to the book details.
4) Edit the record and in tab 1 , scroll down the - MAIN ENTRY--
   PERSONAL NAME and repeat this tag (the icon next to the title).
5) Edit the Personal name term entry element by clicking
   the button on the right of the bar.
6) In the Search main heading ($a only) enter your personal name term
   e.g. Twain, Mark.
7) Press search, and then in the table that pops up, click 'choose'.
8) Save your edits and the new personal name term will be in the 'By:'
   of the book details.
9) Notice that there is no magnifying glass icon.
10) Apply this patch
11) Notice that there is now a magnifying glass icon next to the
    personal name term.
12) Click on the magnifying glass and it will take you directly to the
    authorities records

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Fridolin Somers 2022-03-16 08:31:37 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄